Subject: Re: git integration with monodevelop

From: "Andrés G. Aragoneses" <[email-masked]>
Date: Fri, 14 Nov 2008 12:53:47 -0500

Johannes Schindelin wrote:
> Hi,
> 
> On Wed, 12 Nov 2008, Miguel de Icaza wrote:
> 
>>> I assume that results of Mono's Google Summer of Code 2008 projects to 
>>> create managed git implementation in C# (git#)[1][2] were not very 
>>> successfull?  Taking into account that JGit isn't yet full git 
>>> implementation, after much longer development...
>> They were a complete disaster, one student was going to focus on the 
>> front-end, the other on the back-end.
> 
> I kinda followed the last few weeks via your svn repository (which was not 
> helped by the commits being a complete mix of the individual projects).
> 
> I was a bit disappointed that nobody asked things on the Git mailing list; 
> quite a number of very important lessons were learnt during the first 
> implementation of jgit, and you guys could have benefitted tremendously by 
> hearing them.
> 
> By the time I got aware of your effort, it was too late; for example, the 
> code already relied on the fact that every blob's contents were read into 
> memory at once (IIU the code correctly).
> 
> Note: personally, I do not like C# all that much, so I am not that 
> interested in the port myself.  However, we get quite a number of 
> questions in that direction ("do you support .NET yet?"), so I am quite 
> interested to know what's available.

Have you looked at using Sharpen [1]?

[1]
http://evain.net/blog/articles/2008/05/20/sharpen-an-open-source-java-to-c-converter

Regards,

	Andrés

--